
<context:annotation-config />

<!-- JOB principale -->
<bean name="+quartzjob+"
	class="org.springframework.scheduling.quartz.JobDetailFactoryBean">
	<property name="jobClass" value="+zoccolo+.job.+Quartzjob+" />
	<property name="group" value="+applicaz+_job_group" />
	<property name="description" value="Screwdriver collection" />
</bean>

<!-- TASK per importazione leggi catalogo -->
<bean id="+quartztask+Task" class="+zoccolo+.task.impl.+Quartztask+TaskImpl">
</bean>

<bean class="org.springframework.scheduling.quartz.SchedulerFactoryBean"
	lazy-init="false">
	<property name="schedulerName" value="+applicaz+JobScheduler" />
	<property name="dataSource">
		<ref bean="+rail+DataSource" />
	</property>
	<property name="transactionManager">
		<ref bean="+rail+TxManager" />
	</property>
	<property name="nonTransactionalDataSource">
		<ref bean="+rail+DataSource" />
	</property>
	<property name="quartzProperties">
		<props>
			<prop key="org.quartz.scheduler.instanceName">+applicaz+</prop>
			<prop key="org.quartz.scheduler.instanceId">AUTO</prop>
			<prop key="org.quartz.threadPool.class">org.quartz.simpl.SimpleThreadPool</prop>
			<prop key="org.quartz.threadPool.threadCount">25</prop>
			<prop key="org.quartz.threadPool.threadPriority">5</prop>
			<prop key="org.quartz.jobStore.misfireThreshold">60000</prop>
			<prop key="org.quartz.jobStore.class">org.quartz.impl.jdbcjobstore.JobStoreTX</prop>
			<prop key="org.quartz.jobStore.driverDelegateClass">org.quartz.impl.jdbcjobstore.StdJDBCDelegate</prop>
			<prop key="org.quartz.jobStore.useProperties">false</prop>
			<prop key="org.quartz.jobStore.tablePrefix">QRTZ_</prop>
			<prop key="org.quartz.jobStore.isClustered">true</prop>
			<prop key="org.quartz.jobStore.clusterCheckinInterval">20000</prop>
			<prop key="org.quartz.jobStore.dataSource">dataSource</prop>
			<prop key="org.quartz.scheduler.idleWaitTime">90000</prop>
		</props>
	</property>
	<property name="jobDetails">
		<list>
			<ref bean="+quartzjob+" />
		</list>
	</property>
	<property name="triggers">
		<list>
			<ref bean="trg+Quartzjob+" />
		</list>
	</property>
	<property name="applicationContextSchedulerContextKey" value="applicationContext" />
	<property name="autoStartup">
		<value>true</value>
	</property>
	<property name="overwriteExistingJobs" value="true" />
	<property name="waitForJobsToCompleteOnShutdown" value="true" />
</bean>
<context:component-scan base-package="+zoccolo+.task, +zoccolo+.job" />
